/**
 * Test case for apService.
 * Runs with mocha.
 */
'use strict'

const apemanstore = require('apemanstore')
const ApService = require('../lib/ap_service.js')
const assert = require('assert')
const co = require('co')

describe('ap-service', function () {
  this.timeout(3000)

  before(() => co(function * () {

  }))

  after(() => co(function * () {

  }))

  it('Ap service', () => co(function * () {
    let store = apemanstore()
    let service = new ApService(store)
    assert.ok(service)

    service.set('foo', 'bar')
    assert.equal(service.get('foo'), 'bar')
  }))
})

/* global describe, before, after, it */
